Package javassist.bytecode

# Class AccessFlag

java.lang.Object
javassist.bytecode.AccessFlag

public class AccessFlag extends Object
A support class providing static methods and constants for access modifiers such as public, private, ...

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSTRACT`
`static final int`
`ANNOTATION`
`static final int`
`BRIDGE`
`static final int`
`ENUM`
`static final int`
`FINAL`
`static final int`
`INTERFACE`
`static final int`
`MANDATED`
`static final int`
`MODULE`
`static final int`
`NATIVE`
`static final int`
`PRIVATE`
`static final int`
`PROTECTED`
`static final int`
`PUBLIC`
`static final int`
`STATIC`
`static final int`
`STRICT`
`static final int`
`SUPER`
`static final int`
`SYNCHRONIZED`
`static final int`
`SYNTHETIC`
`static final int`
`TRANSIENT`
`static final int`
`VARARGS`
`static final int`
`VOLATILE`

## Constructor Summary

Constructors
Constructor
Description
`AccessFlag()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`clear(int accflags, int clearBit)`
Clears a specified bit in `accflags`.
`static boolean`
`isPackage(int accflags)`
Returns true if the access flags include neither public, protected, or private.
`static boolean`
`isPrivate(int accflags)`
Returns true if the access flags include the private bit.
`static boolean`
`isProtected(int accflags)`
Returns true if the access flags include the protected bit.
`static boolean`
`isPublic(int accflags)`
Returns true if the access flags include the public bit.
`static int`
`of(int modifier)`
Converts a javassist.Modifier into a javassist.bytecode.AccessFlag.
`static int`
`setPackage(int accflags)`
Clears the public, protected, and private bits.
`static int`
`setPrivate(int accflags)`
Truns the private bit on.
`static int`
`setProtected(int accflags)`
Turns the protected bit on.
`static int`
`setPublic(int accflags)`
Turns the public bit on.
`static int`
`toModifier(int accflags)`
Converts a javassist.bytecode.AccessFlag into a javassist.Modifier.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLIC

public static final int PUBLIC

See Also:
  - Constant Field Values

### PRIVATE

public static final int PRIVATE

See Also:
  - Constant Field Values

### PROTECTED

public static final int PROTECTED

See Also:
  - Constant Field Values

### STATIC

public static final int STATIC

See Also:
  - Constant Field Values

### FINAL

public static final int FINAL

See Also:
  - Constant Field Values

### SYNCHRONIZED

public static final int SYNCHRONIZED

See Also:
  - Constant Field Values

### VOLATILE

public static final int VOLATILE

See Also:
  - Constant Field Values

### BRIDGE

public static final int BRIDGE

See Also:
  - Constant Field Values

### TRANSIENT

public static final int TRANSIENT

See Also:
  - Constant Field Values

### VARARGS

public static final int VARARGS

See Also:
  - Constant Field Values

### NATIVE

public static final int NATIVE

See Also:
  - Constant Field Values

### INTERFACE

public static final int INTERFACE

See Also:
  - Constant Field Values

### ABSTRACT

public static final int ABSTRACT

See Also:
  - Constant Field Values

### STRICT

public static final int STRICT

See Also:
  - Constant Field Values

### SYNTHETIC

public static final int SYNTHETIC

See Also:
  - Constant Field Values

### ANNOTATION

public static final int ANNOTATION

See Also:
  - Constant Field Values

### ENUM

public static final int ENUM

See Also:
  - Constant Field Values

### MANDATED

public static final int MANDATED

See Also:
  - Constant Field Values

### SUPER

public static final int SUPER

See Also:
  - Constant Field Values

### MODULE

public static final int MODULE

See Also:
  - Constant Field Values

## Constructor Details

### AccessFlag

public AccessFlag()

## Method Details

### setPublic

public static int setPublic(int accflags)
Turns the public bit on. The protected and private bits are cleared.

### setProtected

public static int setProtected(int accflags)
Turns the protected bit on. The protected and public bits are cleared.

### setPrivate

public static int setPrivate(int accflags)
Truns the private bit on. The protected and private bits are cleared.

### setPackage

public static int setPackage(int accflags)
Clears the public, protected, and private bits.

### isPublic

public static boolean isPublic(int accflags)
Returns true if the access flags include the public bit.

### isProtected

public static boolean isProtected(int accflags)
Returns true if the access flags include the protected bit.

### isPrivate

public static boolean isPrivate(int accflags)
Returns true if the access flags include the private bit.

### isPackage

public static boolean isPackage(int accflags)
Returns true if the access flags include neither public, protected, or private.

### clear

public static int clear(int accflags, int clearBit)
Clears a specified bit in `accflags`.

### of

public static int of(int modifier)
Converts a javassist.Modifier into a javassist.bytecode.AccessFlag.

Parameters:
  `modifier` - javassist.Modifier

### toModifier

public static int toModifier(int accflags)
Converts a javassist.bytecode.AccessFlag into a javassist.Modifier.

Parameters:
  `accflags` - javassist.bytecode.Accessflag